0.9.12 Fresh install only ssh not working (lib installed, but incompatible???)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

0.9.12 Fresh install only ssh not working (lib installed, but incompatible???)

Christian COMMARMOND
This post has NOT been accepted by the mailing list yet.
This post was updated on .
Hello,

I am on Oracle Entreprise Linux, kernel 4.1.12-94.3.6.el7uek.x86_64 (which is basically a Centos 7).

I did a fresh install, but i cannot get SSH to Status YES. I get this:

   Library status:

     freerdp ............. yes
     pango ............... yes
     libavcodec .......... yes
     libavutil ........... yes
     libssh2 ............. no
     libssl .............. yes
     libswscale .......... yes
     libtelnet ........... yes
     libVNCServer ........ yes
     libvorbis ........... yes
     libpulse ............ yes
     libwebp ............. yes

   Protocol support:

      RDP ....... yes
      SSH ....... no
      Telnet .... yes
      VNC ....... yes

   Services / tools:

      guacd ...... yes
      guacenc .... yes

   Init scripts: /etc/init.d



In config.log, I get:

configure:16150: checking for libssh2_session_init_ex in -lssh2
configure:16175: gcc -std=gnu99 -o conftest -g -O2   conftest.c -lssh2   >&5
/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/4.8.5/../../../libssh2.so when searching for -lssh2
/usr/bin/ld: skipping incompatible /lib/libssh2.so when searching for -lssh2
/usr/bin/ld: skipping incompatible /usr/lib/libssh2.so when searching for -lssh2
/usr/bin/ld: cannot find -lssh2
collect2: error: ld returned 1 exit status
configure:16175: $? = 1
configure: failed program was:
</code>

But, yum tells me that:
<code>
yum install libssh2 libssh2-devel
Loaded plugins: ulninfo
Package libssh2-1.4.3-10.el7_2.1.x86_64 already installed and latest version
Nothing to do

AND

wget http://mirror.centos.org/centos/7/os/x86_64/Packages/libssh2-devel-1.4.3-10.el7_2.1.i686.rpm
--2017-08-01 00:54:52--  http://mirror.centos.org/centos/7/os/x86_64/Packages/libssh2-devel-1.4.3-10.el7_2.1.i686.rpm
Resolving mirror.centos.org (mirror.centos.org)... 176.124.110.3, 2001:67c:744:2::3
........ Load Here .....
2017-08-01 00:54:53 (130 KB/s) - ‘libssh2-devel-1.4.3-10.el7_2.1.i686.rpm’ saved [55084/55084]

yum install *rpm
Loaded plugins: ulninfo
Examining libssh2-devel-1.4.3-10.el7_2.1.i686.rpm: libssh2-devel-1.4.3-10.el7_2.1.i686
libssh2-devel-1.4.3-10.el7_2.1.i686.rpm: does not update installed package.
Error: Nothing to do




Please, what am I missing? I am not a linux expert, please explain how to solve this. It looks to be complex for my knowledge...

Thanks for your help.

Christian (From France)
Loading...